"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GradientDiv = void 0;
var react_1 = __importStar(require("react"));
var lodash_1 = require("lodash");
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var react_resize_detector_1 = require("react-resize-detector");
var GradientDiv = function (props) {
    var content = props.content;
    var _a = (0, react_resize_detector_1.useResizeDetector)(), width = _a.width, height = _a.height, ref = _a.ref;
    var _b = (0, react_1.useState)(false), isOverflowX = _b[0], setIsOverflowX = _b[1];
    var className = (0, core_1.isNonEmptyString)(props.className) ? props.className : "";
    var gradientAreaWidth = !(0, lodash_1.isNil)(props.gradientAreaWidth) && (0, lodash_1.isInteger)(props.gradientAreaWidth) && props.gradientAreaWidth > 20 ? props.gradientAreaWidth : !(0, lodash_1.isNil)(width) ? width : "20%";
    (0, react_1.useEffect)(function () {
        setIsOverflowX(ref.current.scrollWidth - ref.current.clientWidth > 0);
    }, [width]);
    return (react_1.default.createElement("div", { ref: ref, className: "relative whitespace-nowrap overflow-hidden overflow-y-auto ".concat(className), title: content },
        content,
        isOverflowX && (react_1.default.createElement("div", { className: "absolute", style: {
                height: height,
                top: 0,
                right: 0,
                width: gradientAreaWidth,
                background: "linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0.25) 25%, rgba(255,255,255,0.5) 50%, rgba(255,255,255,0.75) 75%, #ffffff)"
            } }))));
};
exports.GradientDiv = GradientDiv;
exports.default = exports.GradientDiv;
